redis-cluster:
  enabled: true
postgresql:
  enabled: false
postgresql-ha:
  enabled: false

persistence:
  enabled: true
  size: 5Gi

test:
  enabled: false

gitea:
  admin:
    existingSecret: gitea-credential
  config:
    service:
      DISABLE_REGISTRATION: true
    other:
      SHOW_FOOTER_VERSION: false
      SHOW_FOOTER_TEMPLATE_LOAD_TIME: false
    database:
      DB_TYPE: sqlite3
    session:
      PROVIDER: memory
    cache:
      ADAPTER: memory
    queue:
      TYPE: level
    server:
      DOMAIN: 'gitea.'
      ROOT_URL: 'https://gitea.:443'
    mailer:
      ENABLED: true
      FROM: forgejo@gitea.
      PROTOCOL: smtp
      SMTP_ADDR: mailhog.mailhog.svc.cluster.local
      SMTP_PORT: 1025

service:
  ssh:
    type: NodePort
    nodePort: 32222
    externalTrafficPolicy: Local

image:
  pullPolicy: "IfNotPresent"
  # Overrides the image tag whose default is the chart appVersion.
  #tag: "8.0.3"
  # Adds -rootless suffix to image name
  rootless: true

forgejo:
  runner:
    enabled: true
    image:
      tag: latest
    # replicas: 3
    config:
      runner:
        labels:
          - docker:docker://node:16-bullseye
          - self-hosted:docker://ghcr.io/catthehacker/ubuntu:act-22.04
          - ubuntu-22.04:docker://ghcr.io/catthehacker/ubuntu:act-22.04
          - ubuntu-latest:docker://ghcr.io/catthehacker/ubuntu:act-22.04
